Macro hinge

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro hinge and the translation is 100% complete.
Other languages:
English • ‎français • ‎italiano

Macro hinge.png Hinge Simul

Descrizione
Simula il movimento di una cerniera.

Versione macro: 1.0
Ultima modifica: 2014-09-09
Versione FreeCAD: All
Download: The File 20140908b_Hinge-1.fcstd
ToolBar Icon
Autore
Mario52
Download
The File 20140908b_Hinge-1.fcstd
ToolBar Icon
Link
Versione macro
1.0
Data ultima modifica
2014-09-09
Versioni di FreeCAD
All
Scorciatoia
Nessuna
Vedere anche
Nessuno


Descrizione

Simula il movimento di una cerniera di una porta.

Hing 00.gif

Uso

Per eseguire la macro aprire in FreeCAD i 2 file (20140908b_Hinge-1.FCMacro e 20140908b_Hinge-1.FCStd) in 2 schermi (Menu: Finestre -> Affiancate) poi fare clic nella finestra e nella macro fare clic su F6 (avvia macro), oppure avviare la macro con Macro-execute.svg

Hing 01.png


Il File

20140908b_Hinge-1.fcstd

Lo Script

ToolBar Icon Macro hinge.png

20140908b_Hinge-1.FCMacro

import FreeCAD, FreeCADGui, Draft, Part
from FreeCAD import Base
import time

ii = 0
pas = 0
for ii2 in range(180):
    if pas == 0:
        if ii > 90:
            pas = 1
        ii += 5
    else:
        if ii < 1:
            pas = 0
        ii -= 5
   
    App.getDocument("_0140908b_Hinge_1").Fusion.Placement=App.Placement(App.Vector(0,0,0), App.Rotation(App.Vector(0,0,1),ii), App.Vector(44.4,6.9,0))
    App.Console.PrintMessage(str(ii2)+"  " + str(ii)+"  " + str(pas) +"\n")
    Gui.updateGui()
    time.sleep(0) #modify the time here

Link

La pagina della discussione: Struggling with LinearPattern (again)